import express from 'express';
import { getMemberNotes, addMemberNote, deleteMemberNote } from '../controllers/memberNoteController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/', authenticate, addMemberNote);
router.get('/:memberId', authenticate, getMemberNotes);
router.delete('/:noteId', authenticate, deleteMemberNote);

export default router;
